<template>
  <b-container>
    <div v-if="watchList">
      <h1>{{ watchList.name }}</h1>
      <p>{{ watchList.description }}</p>
    </div>
    <watch-list-objects-table :watch-list-id="$route.params.watchListId" />
  </b-container>
</template>

<script lang="ts">
import Vue from 'vue';

import { WatchList } from '@/common/types';
import { WatchListService } from '@/api';
import WatchListObjectsTable from '@/components/WatchListObjectsTable.vue';

export default Vue.extend({
  components: {
    WatchListObjectsTable,
  },

  data() {
    return {
      watchList: null as WatchList | null,
    };
  },

  mounted() {
    this.fetchWatchList();
  },

  methods: {
    async fetchWatchList() {
      const { data: watchList } = await WatchListService.get(this.$route.params.watchListId);
      this.watchList = watchList;
    },
  },
});
</script>
